package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.MeetingAddress;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface MeetingAddressService {
	MeetingAddress get(String id);
	boolean exist(String id);
	int insert(MeetingAddress model);
	int update(MeetingAddress model);
	int delete(String id);
	List<MeetingAddress> list();
	Page<MeetingAddress> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}